DocumentaciónReferencia APIObtener herramienta durante llamada
    GETDisponible

    Obtener herramienta durante llamada

    Operación autenticada de la API de BeepCall.

    https://app.beepcall.ai/api/user/tools/{id}

    Parámetros

    Authorization*headerBearer tokenClave de API de BeepCall.
    id*pathintegerIdentificador id.

    * Obligatorio

    Ejemplo de solicitud

    curl -X GET "https://app.beepcall.ai/api/user/tools/1" \
      -H "Authorization: Bearer YOUR_API_KEY"

    Respuesta

    json
    {
      "id": 1,
      "name": "get_weather",
      "description": "Use this tool to get the current weather in a specific city. Call this when the customer asks about weather conditions.",
      "type": "http",
      "endpoint": "https://api.openweathermap.org/data/2.5/weather?city={city}",
      "method": "GET",
      "body_format": "json",
      "timeout": 10,
      "headers": [
        {
          "name": "Content-Type",
          "value": "application/json"
        },
        {
          "name": "Authorization",
          "value": "Bearer sk_..."
        }
      ],
      "static_fields": [
        {
          "key": "source",
          "value": "beepcall"
        }
      ],
      "schema": [
        {
          "name": "city",
          "type": "string",
          "description": "The city name to get weather for",
          "required": true
        },
        {
          "name": "days",
          "type": "number",
          "description": "Number of forecast days",
          "required": false
        }
      ],
      "created_at": "2025-10-10T12:00:00.000000Z",
      "updated_at": "2025-10-10T12:00:00.000000Z"
    }

    Errores habituales

    404